## CinnamonTrayIcon CinnamonTrayIcon |

## Functions

ClutterActor * | cinnamon_tray_icon_new ()
gboolean | cinnamon_tray_icon_handle_event ()

## Properties

guint | pid | Read
char * | title | Read
char * | wm-class | Read

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── ClutterClone
                    ╰── CinnamonGtkEmbed
                        ╰── CinnamonTrayIcon

## Description

## Functions

### cinnamon_tray_icon_new ()

    ClutterActor *
    cinnamon_tray_icon_new (CinnamonEmbeddedWindow *window);

### cinnamon_tray_icon_handle_event ()

    gboolean
    cinnamon_tray_icon_handle_event (CinnamonTrayIcon *icon,
                                     ClutterEventType event_type,
                                     ClutterEvent *event);

Converts a ClutterEvent into an XEvent.

#### Parameters

icon | a CinnamonTrayIcon |
event_type | a ClutterEventType |
event | the ClutterEvent |

#### Returns

Whether to continue the event chain.

## Property Details

### The `“pid”` property

      “pid”                      guint

The PID of the icon's application.

Owner: CinnamonTrayIcon

Flags: Read

Default value: 0

### The `“title”` property

      “title”                    char *

The icon's window title.

Owner: CinnamonTrayIcon

Flags: Read

Default value: NULL

### The `“wm-class”` property

      “wm-class”                 char *

The icon's window WM_CLASS.

Owner: CinnamonTrayIcon

Flags: Read

Default value: NULL